Bug 1469979

Summary: fwupdate-libs breaks system upgrade from F25
Product: [Fedora] Fedora Reporter: Kamil Páral <kparal>
Component: fwupdateAssignee: Peter Jones <pjones>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 26CC: pjones
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-05-29 12:20:40 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Kamil Páral 2017-07-12 08:04:09 UTC
Description of problem:

$ sudo dnf system-upgrade download --releasever=26
...
  file /usr/share/locale/en/libfwup.po conflicts between attempted installs of fwupdate-libs-8-2.fc26.i686 and fwupdate-libs-8-2.fc26.x86_64

This only happens when you have *both* x86_64 and i686 version of fwupdate-libs installed. If you have just x86_64, this problem doesn't happen.

This was reported at:
https://fedoramagazine.org/upgrading-fedora-25-fedora-26/#comment-473437

And I verified the issue.

Version-Release number of selected component (if applicable):
fwupdate-libs-8-2.fc25.x86_64
fwupdate-libs-8-2.fc25.i686
fwupdate-libs-8-2.fc26.x86_64
fwupdate-libs-8-2.fc26.i686

How reproducible:
always

Steps to Reproduce:
1. install F25 Workstation, fully update it
2. install fwupdate-libs.x86_64 and fwupdate-libs.i686
3. sudo dnf install dnf-plugin-system-upgrade
4. sudo dnf system-upgrade download --releasever=26

Comment 1 Fedora End Of Life 2018-05-03 07:59:19 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2018-05-29 12:20:40 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.